Subject: Re: [PATCH 2/2] ucc_geth: Rework the TX logic.

From: Anton Vorontsov <[email-masked]>
Date: Thu, 26 Mar 2009 21:05:43 +0300

On Thu, Mar 26, 2009 at 05:43:25PM +0100, Joakim Tjernlund wrote:
[...]
> > bd == ugeth->confBd[txQ]
> > and
> > !in_be32((u32 __iomem *)(bd+4))
> > 
> > Are not equivalent wrt. speed. MMIO accessors should be rather
> > slow comparing to normal memory.
> 
> Yes, I know. I did it this way because I something broke under stress
> when ugeth->confBd[txQ] instead. The ucc_geth_tx() and 
> ucc_geth_start_xmit()
> gets out of sync somehow.

Would be great if you could investigate it more. Maybe there is
a serious bug somewhere, or maybe you're introducing another
(yet hidden) bug...

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2